> For the complete documentation index, see [llms.txt](https://docs.rierino.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rierino.com/installation/deployment-alternatives/kubernetes-deployment/recommended-helm-fully-automated.md).

# Recommended: Helm - Fully Automated

"Ready-Core" Helm Chart, which is available on Rierino helm repository performs deployment of all components required for an initial core platform cluster.

{% code overflow="wrap" %}

```shell
helm install ready-core https://rierino-open.github.io/helm-repo/unit/ready-core/ready-core-[CHART_VERSION].tgz --create-namespace --namespace rierino-installation --set global.mongoDBURI=[MONGODB_URI],global.publicLB=[GATEWAY_PUBLIC_DOMAIN],gatewaySecret=[RANDOM_SECRET],global.rierinoVersion=[DEPLOYMENT_VERSION],global.gitToken=[GIT_TOKEN],global.gitUser=[GIT_USER]
```

{% endcode %}

Structure of all input parameters and their default values can be seen at "values.yaml" file of [ready-core](/installation/artifacts/helm-charts/umbrella-charts/ready-core.md) Helm Chart. The umbrella chart allows using all included helm cart values, such as runner, gateway and runner chart values as well.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rierino.com/installation/deployment-alternatives/kubernetes-deployment/recommended-helm-fully-automated.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
